---
lang: en
title: 'API docs: repository.modelmetadatahelper'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.modelmetadatahelper.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ModelMetadataHelper](./repository.modelmetadatahelper.md)

## ModelMetadataHelper class

<b>Signature:</b>

```typescript
export declare class ModelMetadataHelper 
```

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [getModelMetadata(target, options)](./repository.modelmetadatahelper.getmodelmetadata.md) | <code>static</code> | A utility function to simplify retrieving metadata from a target model and its properties. |


